databaseChangeLog:
  - changeSet:
      id: add-reports-info-table
      author: corinaolariu
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                  name: download_status_entity_storage_id
                  type: VARCHAR(255)
              - column:
                  constraints:
                    nullable: false
                  name: reports_template_id
                  type: VARCHAR(255)
            tableName: download_status_reports
        - addForeignKeyConstraint:
            baseColumnNames: reports_template_id
            baseTableName: download_status_reports
            constraintName: download_status_reports_to_report_templates
            deferrable: false
            initiallyDeferred: false
            onDelete: NO ACTION
            onUpdate: NO ACTION
            referencedColumnNames: template_id
            referencedTableName: report_template
            validate: true
        - addForeignKeyConstraint:
            baseColumnNames: download_status_entity_storage_id
            baseTableName: download_status_reports
            constraintName: download_status_reports_to_download_status
            deferrable: false
            initiallyDeferred: false
            onDelete: NO ACTION
            onUpdate: NO ACTION
            referencedColumnNames: storage_id
            referencedTableName: download_status
            validate: true
